package com.syjy.calculate.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 计算入参
 *
 * @author zcl
 * @version 1.0
 * @since 2022/9/09 10:16
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class CalculationInfo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 实际功率
     */
    private BigDecimal sj;

    /**
     * 预测功率
     */
    private BigDecimal yc;

    /**
     *  容量
     */
    private BigDecimal rl;

    /**
     * 时间
     */
    private long time;

    /**
     * 人工判断是否限电
     * 0 以系统判断结果为准
     * 1 限电
     * 2 不限电
     */
    private Integer isRationingByManualControl;

    /**
     * 可用功率(MW)
     */
    private BigDecimal ableValue;

    /**
     * 理论功率(MW)
     */
    private BigDecimal theoryValue;

    /**
     * 样板机参照功率(MW) 理论
     */
    private BigDecimal referencePowerBySample;

    /**
     * 测风/测光 参照功率(MW) 理论
     */
    private BigDecimal referencePowerByMeasuring;

    /**
     *  机头风速法参照功率(MW) 理论
     */
    private BigDecimal referencePowerByHubSpeed;

    /**
     * 样板机法功率(MW) 可用
     */
    private BigDecimal ablePowerBySample;

    /**
     *  测风/测光(MW) 可用
     */
    private BigDecimal ablePowerByMeasuring;

    /**
     * 机头风速法参照功率(MW) 可用
     */
    private BigDecimal ablePowerByHubSpeed;

    /**
     * 样板机法的异常值
     */
    private BigDecimal abnormalOfSample;

    /**
     * 测风光法的异常值
     */
    private BigDecimal abnormalOfMeasuring;

    /**
     *  机头风速法的异常值
     */
    private BigDecimal abnormalOfHubSpeed;

    /**
     * 开机容量(MW)
     */
    private BigDecimal openCapacity;

    /**
     * 装机容量(MW)
     */
    private BigDecimal capacity;

    /**
     * 站内受阻功率(MW)
     */
    private BigDecimal onSiteObstructed;

    /**
     * 日发电量(MW)
     */
    private BigDecimal dailyOutPut;

    /**
     * 日上网电量(MW)
     */
    private BigDecimal dailyGridOutPut;

    /**
     * 站外受阻功率(MW)
     */
    private BigDecimal offSiteObstructed;

    /**
     * 可用预测功率(MW)
     */
    private BigDecimal ableValueYc;

    /**
     * 理论预测功率(MW)
     */
    private BigDecimal theoryValueYc;

    /**
     *  开机容量(MW)
     */
    private BigDecimal suCapacity;

    /**
     *  提前预测多久
     */
    private Integer forecastHowLongAgo;

}
